# Notes while working on Kivy

## Tutorial Improvements:
- [Adding Ball Animation](https://kivy.org/docs/tutorials/pong.html#adding-ball-animation)
    - Add in placeholder variable to describe the random direction of the ball.

## Kivy File
- Properties need to be declared at the top of a section in Kv.
- Nothing in the Kv language specification on the order of properties / sections.

## Kivy language
- [Documentation for Kv language](https://kivy.org/docs/guide/lang.html)
- Documentation on language does not have an explicit section on adding comments.
- Nice to have tips for syntax-highlighting inside Kv files for PyCharm.
